%define		_name	MihPhoto

Name:		mihphoto
Version:	1.0.8
Release:	%mkrel 2
License:	GPLv3
Summary:	Touch-friendly image viewer
Group:		Graphics/Viewers
Url:		https://sites.google.com/site/mihplaesu/projects/mihphoto
Source0:	https://sites.google.com/site/mihplaesu/projects/mihphoto/%{_name}-source-%{version}.tgz
Patch0:		%{name}-1.0.8-datadir.patch

BuildRequires:	qt4-devel

%description
MihPhoto is meant to be a simple touchscreen-friendly image viewer.
There a lot of very good image viewers, including many opensource ones,
but most of them are very difficult to handle on a touchscreen. 

This application was designed with touchscreens in mind so it is most useful 
if you have a touchscreen. 

To use the application just open an image; then you can use a swipe gesture 
to browse trough all the images located in the same folder as the first one.

%prep
%setup -q -n %{_name}
%patch0 -p1 -b .datadir

sed -i -e 's|@DATADIR@|%{_datadir}/%{name}|g' dev/%{_name}.pro

%build
pushd dev
%qmake_qt4
%make
popd

%install
install -d -m755 %{buildroot}%{_bindir}
install -d -m755 %{buildroot}%{_datadir}/%{name}
install -m755 bin/%{_name} %{buildroot}%{_bindir}/%{name}
cp -R icons %{buildroot}%{_datadir}/%{name}/
cp -R images %{buildroot}%{_datadir}/%{name}/

%files
%doc AUTHORS VERSION doc
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}


%changelog

* Thu Jan 24 2013 fwang <fwang> 1.0.8-2.mga3
+ Revision: 391875
- update rpm group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 matteo <matteo> 1.0.8-1.mga3
+ Revision: 297742
- added missing Group
- imported package mihphoto

